//
// Realizzazione del tipo di dato Numero Complesso
// Implementazione della Classe complex
//

#include <iostream.h>

#include "Complessi.H"


// Costruttore di numero Complesso assegnando parte reale ed immaginaria
complex::complex(float r, float i)
{
  p_r = r;
  p_i = i;
}


// Costruttore di numero Complesso: inizializzazione della parte immaginaria
// di default a 0
complex::complex(float r)
{
  p_r = r;
  p_i = 0.0;
}

// Costruttore di numero Complesso: inizializzazione di default a 0
complex::complex()
{
  p_r = 0.0;
  p_i = 0.0;
}


// Distruttore di numero Complesso
complex::~complex()
{
  cout << "Distruggo il numero complesso: ";
  stampa();
  cout << endl;
}


// Assegna dei nuovi valori ad un numero Complesso
void complex::set(float r, float i)
{
  p_r = r;
  p_i = i;
}


// Funzione per la stampa di un numero Complesso
void complex::stampa()
{
  cout << p_r;

  if (p_i >= 0)
    cout << " + " << p_i;
  else
    cout << " - " << -p_i;

  cout << "i";
}
